Subject: Re: NULL pointer dereference panic in stable (2.6.33.2), amd64

From: Denys Fedorysychenko <[email-masked]>
Date: Mon, 12 Apr 2010 02:04:11 +0300

> It is IMHO not safe, because route for this socket might have just
> changed and we are transmitting an old packet (queued some milli seconds
> before, when route was different).
> 
> We then memorize a queue_index that might be too big for the new device
> of new selected route.
> 
> Next packet we want to transmit will take the cached value of
> queue_index, correct for old device, maybe not correct for new device.
Yes, it is possible, i have there RIP with 1k+ routes, changing non-stop.

> 
> You could try to revert commit a4ee3ce3293dc931fab19beb472a8bde1295aebe
> 
> commit a4ee3ce3293dc931fab19beb472a8bde1295aebe
I will try to revert it now. But to trigger bug probably i need 1-2 days.